{strip}
    <div class="product-gallery row {if $s360_articleDetailHeader.thumbsPosition === 'left'}thumbs-left{else}thumbs-bottom{/if}">
        {block name="product-image"}
            {if count($Artikel->Bilder) > 1 && $s360_articleDetailHeader.thumbsPosition === 'left'}
                <div class="s360-product-gallery-thumbs col-xs-2">
                    <div class="s360-product-gallery-thumbs-slider" data-slick='{
                         {if $s360_articleDetailHeader.thumbsPosition === 'left'}"vertical": true,{/if}
                        "infinite": false,
                        "slidesToShow": 4,
                        "nextArrow": "#s360-product-gallery-thumbs-slider-next-{$s360_articleDetailHeader.id}",
                        "prevArrow": "#s360-product-gallery-thumbs-slider-prev-{$s360_articleDetailHeader.id}",
                        "asNavFor": ".s360-product-gallery-images-slider",
                        "focusOnSelect": true
                    }'>
                        {foreach name="thumbs" from=$Artikel->Bilder item=image}
                            <div class="s360-product-gallery-thumb" data-index="{$smarty.foreach.thumbs.index}">
                                {* data list contains infos on paths, sizes and alt-tags of all article images - this can be fed into photoswipe *}
                                <img src="{$image->cPfadKlein}" alt="{$image->cAltAttribut|escape:"html"}" />
                            </div>
                        {/foreach}
                    </div>
                    <div class="s360-product-gallery-thumbs-slider-nav" id="s360-product-gallery-thumbs-slider-nav-{$s360_articleDetailHeader.id}">
                        {if $s360_articleDetailHeader.thumbsPosition === 'left'}
                            <div class="s360-product-gallery-thumbs-slider-prev enabled slick-arrow slick-hidden" id="s360-product-gallery-thumbs-slider-prev-{$s360_articleDetailHeader.id}">
                                <i class="fa fa-angle-up"></i>
                            </div>
                            <div class="s360-product-gallery-thumbs-slider-next enabled slick-arrow slick-hidden" id="s360-product-gallery-thumbs-slider-next-{$s360_articleDetailHeader.id}">
                                <i class="fa fa-angle-down"></i>
                            </div>
                        {else}
                            <div class="s360-product-gallery-thumbs-slider-prev enabled slick-arrow slick-hidden" id="s360-product-gallery-thumbs-slider-prev-{$s360_articleDetailHeader.id}">
                                <i class="fa fa-{s360_load_global_setting type="navIconLeft"}"></i>
                            </div>
                            <div class="s360-product-gallery-thumbs-slider-next enabled slick-arrow slick-hidden" id="s360-product-gallery-thumbs-slider-next-{$s360_articleDetailHeader.id}">
                                <i class="fa fa-{s360_load_global_setting type="navIconRight"}"></i>
                            </div>
                        {/if}
                    </div>
                </div>
            {/if}
            {if count($Artikel->Bilder) > 0}
                <div class="s360-product-gallery-images{if count($Artikel->Bilder) < 2} no-thumbs{/if}{if count($Artikel->Bilder) < 2 || $s360_articleDetailHeader.thumbsPosition === 'bottom'} col-xs-12{else} col-xs-10{/if}">

                    <div class="s360-product-gallery-images-slider" data-slick='{
                        "infinite": false,
                        "arrows": false,
                        "speed": 500,
                        "fade": true,
                        "cssEase": "linear",
                        "slidesToShow": 1,
                        "lazyLoad": "ondemand",
                        "asNavFor": ".s360-product-gallery-thumbs-slider"
                    }'>
                        {foreach from=$Artikel->Bilder name=images item=image}
                            <div class="s360-product-gallery-image">
                                <img {if $smarty.foreach.images.first}src="{$image->cPfadGross}" {else}src="" {/if} data-lazy="{$image->cPfadGross}" data-list='{$image->galleryJSON|replace:"'":"&apos;"}' alt="{$image->cAltAttribut|escape:"html"}"/>
                            </div>
                        {/foreach}
                    </div>
                    <div class="s360-product-gallery-images-overlay">
                        <i class="fa fa-search-plus fa-4"></i>
                    </div>
                </div>
            {/if}
            {if count($Artikel->Bilder) > 1 && $s360_articleDetailHeader.thumbsPosition !== 'left'}
                <div class="s360-product-gallery-thumbs col-xs-12">
                    {if $s360_articleDetailHeader.thumbsPosition === 'bottom'}
                        <div class="s360-product-gallery-thumbs-nav">
                            {* place holder - only provides a line for the thumb ::after element to position on*}
                            <div class="s360-product-gallery-thumbs-indicator"></div>
                        </div>
                    {/if}
                    <div class="s360-product-gallery-thumbs-slider" data-slick='{
                         {if $s360_articleDetailHeader.thumbsPosition === 'left'}"vertical": true,{/if}
                        "infinite": false,
                        "slidesToShow": 6,
                        "nextArrow": "#s360-product-gallery-thumbs-slider-next-{$s360_articleDetailHeader.id}",
                        "prevArrow": "#s360-product-gallery-thumbs-slider-prev-{$s360_articleDetailHeader.id}",
                        "asNavFor": ".s360-product-gallery-images-slider",
                        "focusOnSelect": true
                    }'>
                        {foreach name="thumbs" from=$Artikel->Bilder item=image}
                            <div class="s360-product-gallery-thumb" data-index="{$smarty.foreach.thumbs.index}">
                                {* data list contains infos on paths, sizes and alt-tags of all article images - this can be fed into photoswipe *}
                                <img src="{$image->cPfadKlein}" alt="{$image->cAltAttribut|escape:"html"}" />
                            </div>
                        {/foreach}
                    </div>
                    <div class="s360-product-gallery-thumbs-slider-nav" id="s360-product-gallery-thumbs-slider-nav-{$s360_articleDetailHeader.id}">
                        {if $s360_articleDetailHeader.thumbsPosition === 'left'}
                            <div class="s360-product-gallery-thumbs-slider-prev enabled slick-arrow slick-hidden" id="s360-product-gallery-thumbs-slider-prev-{$s360_articleDetailHeader.id}">
                                <i class="fa fa-angle-up"></i>
                            </div>
                            <div class="s360-product-gallery-thumbs-slider-next enabled slick-arrow slick-hidden" id="s360-product-gallery-thumbs-slider-next-{$s360_articleDetailHeader.id}">
                                <i class="fa fa-angle-down"></i>
                            </div>
                        {else}
                            <div class="s360-product-gallery-thumbs-slider-prev enabled slick-arrow slick-hidden" id="s360-product-gallery-thumbs-slider-prev-{$s360_articleDetailHeader.id}">
                                <i class="fa fa-{s360_load_global_setting type="navIconLeft"}"></i>
                            </div>
                            <div class="s360-product-gallery-thumbs-slider-next enabled slick-arrow slick-hidden" id="s360-product-gallery-thumbs-slider-next-{$s360_articleDetailHeader.id}">
                                <i class="fa fa-{s360_load_global_setting type="navIconRight"}"></i>
                            </div>
                        {/if}
                    </div>
                </div>
            {/if}
        {/block}
    </div>
    <div class="pswp" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="pswp__bg"></div>
        <div class="pswp__scroll-wrap">
            <div class="pswp__container">
                <div class="pswp__item"></div>
                <div class="pswp__item"></div>
                <div class="pswp__item"></div>
            </div>
            <div class="pswp__ui pswp__ui--hidden">
                <div class="pswp__top-bar">
                    <div class="pswp__counter"></div>
                    <a class="pswp__button pswp__button--close" title="Close (Esc)"></a>
                    <a class="pswp__button pswp__button--share" title="Share"></a>
                    <a class="pswp__button pswp__button--fs" title="Toggle fullscreen"></a>
                    <a class="pswp__button pswp__button--zoom" title="Zoom in/out"></a>
                    <div class="pswp__preloader">
                        <div class="pswp__preloader__icn">
                            <div class="pswp__preloader__cut">
                                <div class="pswp__preloader__donut"></div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="pswp__share-modal pswp__share-modal--hidden pswp__single-tap">
                    <div class="pswp__share-tooltip"></div>
                </div>
                <a class="pswp__button pswp__button--arrow--left" title="Previous (arrow left)">
                </a>
                <a class="pswp__button pswp__button--arrow--right" title="Next (arrow right)">
                </a>
                <div class="pswp__caption">
                    <div class="pswp__caption__center"></div>
                </div>
            </div>
        </div>
    </div>
{/strip}
