{**
 * @copyright (c) JTL-Software-GmbH
 * @license http://jtl-url.de/jtlshoplicense
 *}
{if $smarty.session.Kundengruppe->darfPreiseSehen}
    <div class="price_wrapper">
    {block name="price-wrapper"}
        {* --- Preis auf Anfrage? --- *}
        {if $Artikel->Preise->fVKNetto == 0 && $Artikel->bHasKonfig}
            {if $Einstellungen.global.global_preis0 === 'N'}
                <span class="price_label price_on_application">{lang key="priceOnApplication" section="global"}</span>
            {else}
                <span class="price_label price_as_configured">{lang key="priceAsConfigured" section="productDetails"}</span>
                {* We still have to show this price or else replacement due to configuration updates will fail! *}
                {if !empty($price_image)}
                    <span class="price_img">{$price_image}</span>
                {else}
                    <span class="price text-nowrap{if isset($Artikel->Preise->Sonderpreis_aktiv) && $Artikel->Preise->Sonderpreis_aktiv} special-price{/if}">
                        <span class="font-price" {if isset($Artikel->Preise->Sonderpreis_aktiv) && $Artikel->Preise->Sonderpreis_aktiv && isset($custom_special_price_color) && $custom_special_price_color != ''}style="color:{$custom_special_price_color};"{/if}>{$Artikel->Preise->cVKLocalized[$NettoPreise]}</span>{if $tplscope !== 'detail'}<span class="footnote-reference">*</span>{/if}
                    </span>
                {/if}
            {/if}
        {elseif $Artikel->Preise->fVKNetto == 0 && $Einstellungen.global.global_preis0 === 'N'}
            <span class="price_label price_on_application">{lang key="priceOnApplication" section="global"}</span>
        {else}
            {if ($Artikel->nVariationsAufpreisVorhanden == 1 || $Artikel->bHasKonfig) && $Artikel->kVaterArtikel == 0}
                <span class="price_label pricestarting">{lang key="priceStarting" section="global"} </span>
            {elseif $Artikel->Preise->rabatt>0}
                <span class="price_label nowonly">{lang key="nowOnly" section="global"} </span>
            {else}
                {if isset($oldPricePosition) && $oldPricePosition === 'inline'}
                    {if $Artikel->Preise->Sonderpreis_aktiv && isset($Einstellungen.artikeluebersicht) && $Einstellungen.artikeluebersicht.artikeluebersicht_sonderpreisanzeige == 2}
                        <span class="instead-of old-price">
                            <small class="">
                                {lang key="oldPrice" section="global"}:
                                <del class="value">{$Artikel->Preise->alterVKLocalized[$NettoPreise]}</del>
                            </small>
                        </span>
                    {elseif !$Artikel->Preise->Sonderpreis_aktiv && $Artikel->Preise->rabatt > 0 && isset($Einstellungen.artikeluebersicht)}
                        {if $Einstellungen.artikeluebersicht.artikeluebersicht_rabattanzeige == 3 || $Einstellungen.artikeluebersicht.artikeluebersicht_rabattanzeige == 4}
                            <span class="old-price">
                                <small class="">
                                    {lang key="oldPrice" section="global"}:
                                    <del class="value text-nowrap">{$Artikel->Preise->alterVKLocalized[$NettoPreise]}</del>
                                </small>
                            </span>
                        {/if}
                    {/if}
                {/if}
            {/if}
            {if !empty($price_image)}
                <span class="price_img">{$price_image}</span>
            {else}
                <span class="price text-nowrap{if isset($Artikel->Preise->Sonderpreis_aktiv) && $Artikel->Preise->Sonderpreis_aktiv} special-price{/if}">
                    <span class="font-price" {if isset($Artikel->Preise->Sonderpreis_aktiv) && $Artikel->Preise->Sonderpreis_aktiv && isset($custom_special_price_color) && $custom_special_price_color != ''}style="color:{$custom_special_price_color};"{/if}>{$Artikel->Preise->cVKLocalized[$NettoPreise]}</span>{if $tplscope !== 'detail'}<span class="footnote-reference">*</span>{/if}
                </span>
            {/if}
            {if $tplscope === 'detail'}
                {block name="price-snippets"}
                    <meta itemprop="price" content="{$Artikel->Preise->fVKBrutto}">
                    <meta itemprop="priceCurrency" content="{$smarty.session.Waehrung->cName}">
                    {if $Artikel->Preise->Sonderpreis_aktiv && !empty($Artikel->dSonderpreisEnde_en) && $Artikel->dSonderpreisEnde_en !== '0000-00-00'}
                        <meta itemprop="priceValidUntil" content="{$Artikel->dSonderpreisEnde_en}">
                    {/if}
                {/block}
                <div class="price-note">
                {if $Artikel->cEinheit && ($Artikel->fMindestbestellmenge > 1 || $Artikel->fAbnahmeintervall > 1)}
                    <span class="price_label per_unit"> {lang key="vpePer" section="global"} 1 {$Artikel->cEinheit}</span>
                {/if}

                {* Grundpreis *}
                {if !empty($Artikel->cLocalizedVPE)}
                    {block name="detail-base-price"}
                        <div class="base-price text-nowrap">
                            <span class="value">{$Artikel->cLocalizedVPE[$NettoPreise]}</span>
                        </div>
                    {/block}
                {/if}

                {block name="detail-vat-info"}
                    <p class="vat_info  top5">
                        {include file='snippets/shipping_tax_info.tpl' taxdata=$Artikel->taxData}
                    </p>
                {/block}

                {if $Artikel->oPreisradar}
                    <div class="priceradar">
                        {lang key="youSave" section="productDetails"}
                        <span class="value">{$Artikel->oPreisradar->fDiffLocalized[$NettoPreise]}
                            ({$Artikel->oPreisradar->fProzentDiff} %)
                        </span>
                    </div>
                {/if}

                {if $Artikel->Preise->Sonderpreis_aktiv && $Einstellungen.artikeldetails.artikeldetails_sonderpreisanzeige == 2}
                    <div class="instead-of old-price">{lang key="oldPrice" section="global"}:
                        <del class="value">{$Artikel->Preise->alterVKLocalized[$NettoPreise]}</del>
                    </div>
                {elseif !$Artikel->Preise->Sonderpreis_aktiv && $Artikel->Preise->rabatt > 0}
                    {if $Einstellungen.artikeldetails.artikeldetails_rabattanzeige == 3 || $Einstellungen.artikeldetails.artikeldetails_rabattanzeige == 4}
                        <div class="old-price">{lang key="oldPrice" section="global"}:
                            <del class="value text-nowrap">{$Artikel->Preise->alterVKLocalized[$NettoPreise]}</del>
                        </div>
                    {/if}
                    {if $Einstellungen.artikeldetails.artikeldetails_rabattanzeige == 2 || $Einstellungen.artikeldetails.artikeldetails_rabattanzeige == 4}
                        <div class="discount">{lang key="discount" section="global"}:
                            <span class="value text-nowrap">{$Artikel->Preise->rabatt}%</span>
                        </div>
                    {/if}
                {/if}

                {if $Einstellungen.artikeldetails.artikeldetails_uvp_anzeigen === 'Y' && $Artikel->fUVP > 0}
                    <div class="suggested-price">
                        <abbr title="{lang key="suggestedPriceExpl" section="productDetails"}">{lang key="suggestedPrice" section="productDetails"}</abbr>:
                        <span class="value text-nowrap">{$Artikel->cUVPLocalized}</span>
                    </div>
                    {* Preisersparnis zur UVP anzeigen? *}
                    {if isset($Artikel->SieSparenX) && $Artikel->SieSparenX->anzeigen == 1 && $Artikel->SieSparenX->nProzent > 0 && !$NettoPreise && $Artikel->taxData['tax'] > 0}
                        <div class="yousave">({lang key="youSave" section="productDetails"}
                            <span class="percent">{$Artikel->SieSparenX->nProzent}%</span>, {lang key="thatIs" section="productDetails"}
                            <span class="value text-nowrap">{$Artikel->SieSparenX->cLocalizedSparbetrag}</span>)
                        </div>
                    {/if}
                {/if}
                {* NOTICE: bulk prices are in a separate template *}
                </div>{* /price-note *}
            {elseif isset($oldPricePosition) && $oldPricePosition === 'inline'}
                <div class="price-note">
                    {* Grundpreis *}
                    {if !empty($Artikel->cLocalizedVPE)}
                        {block name="gallery-base-price"}
                            <div class="base-price text-nowrap">
                                <span class="value">{$Artikel->cLocalizedVPE[$NettoPreise]}</span>
                            </div>
                        {/block}
                    {/if}
                    {if !$Artikel->Preise->Sonderpreis_aktiv && $Artikel->Preise->rabatt > 0 && isset($Einstellungen.artikeluebersicht)}
                        {if $Einstellungen.artikeluebersicht.artikeluebersicht_rabattanzeige == 2 || isset($Einstellungen.artikeluebersicht) && $Einstellungen.artikeluebersicht.artikeluebersicht_rabattanzeige == 4}
                            <div class="discount">
                                <small class="">
                                    {lang key="discount" section="global"}:
                                    <span class="value text-nowrap">{$Artikel->Preise->rabatt}%</span>
                                </small>
                            </div>
                        {/if}
                    {/if}
                </div>
            {else}{* scope productlist *}
                <div class="price-note">
                {* Grundpreis *}
                {if !empty($Artikel->cLocalizedVPE)}
                    {block name="list-base-price"}
                        <div class="base-price text-nowrap">
                            <span class="value">{$Artikel->cLocalizedVPE[$NettoPreise]}</span>
                        </div>
                    {/block}
                {/if}

                {if $Artikel->Preise->Sonderpreis_aktiv && isset($Einstellungen.artikeluebersicht) && $Einstellungen.artikeluebersicht.artikeluebersicht_sonderpreisanzeige == 2}
                    <div class="instead-of old-price">
                        <small class="">
                            {lang key="oldPrice" section="global"}:
                            <del class="value">{$Artikel->Preise->alterVKLocalized[$NettoPreise]}</del>
                        </small>
                    </div>
                {elseif !$Artikel->Preise->Sonderpreis_aktiv && $Artikel->Preise->rabatt > 0 && isset($Einstellungen.artikeluebersicht)}
                    {if $Einstellungen.artikeluebersicht.artikeluebersicht_rabattanzeige == 3 || $Einstellungen.artikeluebersicht.artikeluebersicht_rabattanzeige == 4}
                        <div class="old-price">
                            <small class="">
                                {lang key="oldPrice" section="global"}:
                                <del class="value text-nowrap">{$Artikel->Preise->alterVKLocalized[$NettoPreise]}</del>
                            </small>
                        </div>
                    {/if}
                    {if $Einstellungen.artikeluebersicht.artikeluebersicht_rabattanzeige == 2 || isset($Einstellungen.artikeluebersicht) && $Einstellungen.artikeluebersicht.artikeluebersicht_rabattanzeige == 4}
                        <div class="discount">
                            <small class="">
                                {lang key="discount" section="global"}:
                                <span class="value text-nowrap">{$Artikel->Preise->rabatt}%</span>
                            </small>
                        </div>
                    {/if}
                {/if}
                </div>{* /price-note *}
            {/if}
        {/if}
    {/block}
    </div>{* /price_wrapper *}
{else}
    <span class="price_label price_invisible">{lang key="priceHidden" section="global"}</span>
{/if}