{* --- Staffelpreise --- *}
{if !empty($Artikel->staffelPreis_arr)}
    <div class="s360-bulk-price">
    <div class="h4">{lang key="differentialPrice" section="global"}</div>
    <div class="s360-bulk-prices">
        {block name="detail-bulk-price"}
            <div class="s360-table">
            {foreach from=$Artikel->staffelPreis_arr name=staffelpreise item=bulkPrice}
                {if $bulkPrice.nAnzahl > 0}
                    {if $smarty.foreach.staffelpreise.iteration < 4 || count($Artikel->staffelPreis_arr) === 4}
                        <div class="bulk-price-{$bulkPrice.nAnzahl} s360-table-row">
                            <span class="s360-bulk-info s360-table-cell">{lang key="fromDifferential" section="productOverview"} {$bulkPrice.nAnzahl} {if $Artikel->cEinheit} {$Artikel->cEinheit}{/if}</span>
                            <span class="s360-bulk-spacer s360-table-cell">&raquo;</span>
                            <span class="bulk-price s360-table-cell">{$bulkPrice.cPreisLocalized[$NettoPreise]}</span>
                            {if !empty($bulkPrice.cBasePriceLocalized)}
                                <span class="bulk-base-price s360-table-cell">{$bulkPrice.cBasePriceLocalized[$NettoPreise]}</span>
                            {/if}
                        </div>
                    {else}
                        {* this happens when we have more than 4 bulk prices, in this case, 3 are initially visible *}
                        {if $smarty.foreach.staffelpreise.iteration === 4}
                            </div>
                            {* close first table, open a second, hidden one *}
                            <div class="s360-show-all" data-toggle="collapse" aria-expanded="false" data-target="#s360-bulk-prices-collapsed">
                                {lang key="showAll" section="global"}
                            </div>
                            <div class="collapse" id="s360-bulk-prices-collapsed">
                            <div class="s360-table">
                        {/if}
                        <div class="bulk-price-{$bulkPrice.nAnzahl} s360-table-row">
                            <span class="s360-bulk-info s360-table-cell">{lang key="fromDifferential" section="productOverview"} {$bulkPrice.nAnzahl} {if $Artikel->cEinheit} {$Artikel->cEinheit}{/if}</span>
                            <span class="s360-bulk-spacer s360-table-cell">&raquo;</span>
                            <span class="bulk-price s360-table-cell">{$bulkPrice.cPreisLocalized[$NettoPreise]}</span>
                            {if !empty($bulkPrice.cBasePriceLocalized)}
                                <span class="bulk-base-price s360-table-cell">{$bulkPrice.cBasePriceLocalized[$NettoPreise]}</span>
                            {/if}
                        </div>
                        {if $smarty.foreach.staffelpreise.last}
                            </div>
                        {/if}
                    {/if}
                {/if}
            {/foreach}
            </div>
        {/block}
    </div>
    </div>{* /bulk-price *}
{/if}