{strip}
    <div class="s360-wrapper s360-productlist-wrapper{if $s360_productsArea.elementClasses != ''} {$s360_productsArea.elementClasses}{/if}" id="{$s360_productsArea.elementId}">
        {* prepare colors for item_box and item_list and pagination *}
        {block name="s360-category-products-area-styles"}
        {if isset($s360_productsArea.colors) && $s360_productsArea.colors.enabled}
            <style type="text/css" scoped>
                {if $s360_productsArea.colors.boxBackground != ''}
                    #{$s360_productsArea.elementId} .product-cell {
                        background-color:{$s360_productsArea.colors.boxBackground};
                    }
                {/if}
                {if $s360_productsArea.colors.text != ''}
                    #{$s360_productsArea.elementId} .product-cell,
                    #{$s360_productsArea.elementId} .product-cell .title a,
                    #{$s360_productsArea.elementId} .product-cell a.image-wrapper,
                    #{$s360_productsArea.elementId} .product-cell .actions button,
                    #{$s360_productsArea.elementId} .product-cell .unit {
                        color:{$s360_productsArea.colors.text};
                    }
                    #{$s360_productsArea.elementId} .product-cell .title a:hover,
                    #{$s360_productsArea.elementId} .product-cell .actions button:hover {
                        color:{$s360_productsArea.colors.text};
                    }
                {/if}
                {if $s360_productsArea.colors.specialPrice != ''}
                    #{$s360_productsArea.elementId} .product-cell .special-price {
                        color:{$s360_productsArea.colors.specialPrice};
                    }
                {/if}
                {if $s360_productsArea.colors.buttonBackground != ''}
                    #{$s360_productsArea.elementId} .cta-standard {
                        background-color:{$s360_productsArea.colors.buttonBackground};
                    }
                    #{$s360_productsArea.elementId} .cta-standard:hover {
                        background-color:{$s360_productsArea.colors.buttonBackground};
                        border-color:{$s360_productsArea.colors.buttonBackground};
                        opacity: 0.8;
                    }
                {/if}
                {if $s360_productsArea.colors.buttonBorder != ''}
                    #{$s360_productsArea.elementId} .cta-standard,
                    #{$s360_productsArea.elementId} .cta-standard:hover {
                        border-color:{$s360_productsArea.colors.buttonBorder};
                    }
                {/if}
                {if $s360_productsArea.colors.buttonText != ''}
                    #{$s360_productsArea.elementId} .cta-standard,
                    #{$s360_productsArea.elementId} .cta-standard:hover {
                        color:{$s360_productsArea.colors.buttonText};
                    }
                {/if}
                {if $s360_productsArea.colors.cartButtonBackground != ''}
                    #{$s360_productsArea.elementId} .cta-basket {
                        background-color:{$s360_productsArea.colors.cartButtonBackground};
                    }
                    #{$s360_productsArea.elementId} .cta-basket:hover {
                        background-color:{$s360_productsArea.colors.cartButtonBackground};
                        border-color:{$s360_productsArea.colors.cartButtonBackground};
                        opacity: 0.8;
                    }
                {/if}
                {if $s360_productsArea.colors.cartButtonBorder != ''}
                    #{$s360_productsArea.elementId} .cta-basket,
                    #{$s360_productsArea.elementId} .cta-basket:hover {
                        border-color:{$s360_productsArea.colors.cartButtonBorder};
                    }
                {/if}
                {if $s360_productsArea.colors.cartButtonText != ''}
                    #{$s360_productsArea.elementId} .cta-basket {
                        color:{$s360_productsArea.colors.cartButtonText};
                    }
                    #{$s360_productsArea.elementId} .cta-basket:hover {
                        color:{$s360_productsArea.colors.cartButtonText};
                    }
                {/if}
                {if $s360_productsArea.colors.filterBackground != ''}
                    #{$s360_productsArea.elementId} .s360-filter-container:not(.active-filters) .s360-filter-container-content,
                    #{$s360_productsArea.elementId} .s360-filter-category-tree,
                    #{$s360_productsArea.elementId} .s360-filter-category-tree .level-1 a,
                    #{$s360_productsArea.elementId} .s360-filter-category-tree .level-2 a {
                        background-color:{$s360_productsArea.colors.filterBackground};
                    }
                    #{$s360_productsArea.elementId} .s360-filter-category-tree .level-1 a:hover,
                    #{$s360_productsArea.elementId} .s360-filter-category-tree .level-2 a:hover {
                        background-color:{{$s360_productsArea.colors.filterBackground}};
                        opacity: 0.8;
                    }
                    #{$s360_productsArea.elementId} .s360-filter-category-tree .level-1.active a,
                    #{$s360_productsArea.elementId} .s360-filter-category-tree .level-2.active a {
                        text-decoration: underline;
                    }
                {/if}
                {if $s360_productsArea.colors.filterText != ''}
                    #{$s360_productsArea.elementId} .s360-filter-container:not(.active-filters) .s360-filter-container-content,
                    #{$s360_productsArea.elementId} .s360-filter-category-tree,
                    #{$s360_productsArea.elementId} .s360-show-all,
                    #{$s360_productsArea.elementId} .s360-filter-category-tree .level-1 > a,
                    #{$s360_productsArea.elementId} .s360-filter-category-tree .level-2 > a,
                    #{$s360_productsArea.elementId} .s360-filter-container .ed,
                    #{$s360_productsArea.elementId} .s360-filter-container:not(.active-filters) .s360-filter-container-content .s360-filter-snippet a,
                    #{$s360_productsArea.elementId} .s360-filter-container:not(.active-filters) .s360-filter-container-content .s360-filter-snippet-picture a {
                        color:{$s360_productsArea.colors.filterText};
                    }
                    #{$s360_productsArea.elementId} .s360-filter-container:not(.active-filters) .s360-filter-container-content .s360-filter-snippet a:hover {
                        color:{$s360_productsArea.colors.filterText};
                        opacity: 0.8;
                    }
                    #{$s360_productsArea.elementId} .s360-filter-container .ed.active,
                    #{$s360_productsArea.elementId} .s360-filter-container .ed:hover {
                        color:{$s360_productsArea.colors.filterText};
                        opacity: 0.8;
                    }
                    #{$s360_productsArea.elementId} .s360-filter-container:not(.active-filters) .s360-filter-container-content .s360-filter-snippet-picture .value-wrapper {
                        border-color:{$s360_productsArea.colors.filterText};
                    }
                    #{$s360_productsArea.elementId} .s360-filter-category-tree .level-1 > a:hover,
                    #{$s360_productsArea.elementId} .s360-filter-category-tree .level-2 > a:hover {
                        color:{$s360_productsArea.colors.filterText};
                        opacity: 0.8;
                    }
                    {* price slider styles *}
                    #{$s360_productsArea.elementId} .irs-grid,
                    #{$s360_productsArea.elementId} .irs-bar,
                    #{$s360_productsArea.elementId} .irs-shadow,
                    #{$s360_productsArea.elementId} .irs-slider,
                    #{$s360_productsArea.elementId} .irs-line-mid,
                    #{$s360_productsArea.elementId} .irs-line-left,
                    #{$s360_productsArea.elementId} .irs-line-right,
                    #{$s360_productsArea.elementId} .irs-bar,
                    #{$s360_productsArea.elementId} .irs-bar-edge {
                        background-color:{$s360_productsArea.colors.filterText};
                    }
                {/if}
                {if $s360_productsArea.colors.filterHeadingBackground != ''}
                    #{$s360_productsArea.elementId} .offcanvas-toggle,
                    #{$s360_productsArea.elementId} .s360-filter-container-header,
                    #{$s360_productsArea.elementId} .s360-filter-category-tree .level-0 > a {
                        background-color:{$s360_productsArea.colors.filterHeadingBackground};
                    }
                    #{$s360_productsArea.elementId} .offcanvas-toggle {
                        border-color:{$s360_productsArea.colors.filterHeadingBackground};
                    }
                    {* Note: no hover-effect for offcanvas-toggle as it is probably used for touch devices, i.e. the hover might enforce the use of a double click *}
                    #{$s360_productsArea.elementId} .s360-filter-category-tree .level-0 > a:hover {
                        background-color:{$s360_productsArea.colors.filterHeadingBackground};
                        opacity: 0.8;
                    }
                {/if}
                {if $s360_productsArea.colors.filterHeadingText != ''}
                    #{$s360_productsArea.elementId} .offcanvas-toggle,
                    #{$s360_productsArea.elementId} .s360-filter-container-header,
                    #{$s360_productsArea.elementId} .s360-filter-category-tree .level-0 > a {
                        color:{$s360_productsArea.colors.filterHeadingText};
                    }
                    #{$s360_productsArea.elementId} .s360-filter-category-tree .level-0 > a:hover {
                        color:{$s360_productsArea.colors.filterHeadingText};
                        opacity: 0.8;
                    }
                {/if}
                {if $s360_productsArea.colors.filterSelectBadgeBackground != ''}
                    #{$s360_productsArea.elementId} .s360-filter-container-content .btn-close,
                    #{$s360_productsArea.elementId} .s360-filter-container-content .s360-filter-select,
                    #{$s360_productsArea.elementId} .s360-filter-snippet .badge,
                    #{$s360_productsArea.elementId} .s360-filter-snippet .s360-price-slider-display-min,
                    #{$s360_productsArea.elementId} .s360-filter-snippet .s360-price-slider-display-max {
                        background-color:{$s360_productsArea.colors.filterSelectBadgeBackground};
                    }
                {/if}
                {if $s360_productsArea.colors.filterSelectBadgeText != ''}
                    #{$s360_productsArea.elementId} .s360-filter-container-content .btn-close,
                    #{$s360_productsArea.elementId} .s360-filter-container-content .s360-filter-select,
                    #{$s360_productsArea.elementId} .s360-filter-snippet .badge,
                    #{$s360_productsArea.elementId} .s360-filter-snippet .s360-price-slider-display-min,
                    #{$s360_productsArea.elementId} .s360-filter-snippet .s360-price-slider-display-max {
                        color:{$s360_productsArea.colors.filterSelectBadgeText};
                    }
                {/if}
                {if $s360_productsArea.colors.filterActiveFiltersBackground != ''}
                    #{$s360_productsArea.elementId} .active-filters .s360-filter-container-content {
                        background-color:{$s360_productsArea.colors.filterActiveFiltersBackground};
                    }
                {/if}
                {if $s360_productsArea.colors.filterActiveFiltersText != ''}
                    #{$s360_productsArea.elementId} .active-filters .s360-filter-container-content .s360-filter-snippet a {
                        color:{$s360_productsArea.colors.filterActiveFiltersText};
                    }
                    #{$s360_productsArea.elementId} .active-filters .s360-filter-container-content .s360-filter-snippet a:hover {
                        color:{$s360_productsArea.colors.filterActiveFiltersText};
                        opacity: 0.8;
                    }
                {/if}
                {if $s360_productsArea.colors.filterActiveFiltersResetText != ''}
                    #{$s360_productsArea.elementId} .active-filters .s360-filter-container-content .s360-reset-filters a {
                        color:{$s360_productsArea.colors.filterActiveFiltersResetText};
                    }
                    #{$s360_productsArea.elementId} .active-filters .s360-filter-container-content .s360-reset-filters a:hover {
                        color:{$s360_productsArea.colors.filterActiveFiltersResetText};
                        opacity: 0.8;
                    }
                {/if}
                {if $s360_productsArea.colors.paginationBackground != ''}
                    #{$s360_productsArea.elementId} .s360-pagination-wrapper {
                        background-color:{$s360_productsArea.colors.paginationBackground};
                    }
                    #{$s360_productsArea.elementId} .s360-pagination-wrapper .prev,
                    #{$s360_productsArea.elementId} .s360-pagination-wrapper .next,
                    #{$s360_productsArea.elementId} .s360-pagination-wrapper .prev:hover,
                    #{$s360_productsArea.elementId} .s360-pagination-wrapper .next:hover {
                        background-color:{$s360_productsArea.colors.paginationBackground};
                    }
                {/if}
                {if $s360_productsArea.colors.paginationText != ''}
                    #{$s360_productsArea.elementId} .s360-pagination-wrapper,
                    #{$s360_productsArea.elementId} .s360-pagination-wrapper .page:not(.active) a {
                        color:{$s360_productsArea.colors.paginationText};
                    }
                {/if}
                {if $s360_productsArea.colors.paginationCurrentText != ''}
                    #{$s360_productsArea.elementId} .s360-pagination-wrapper .pagination a,
                    #{$s360_productsArea.elementId} .s360-pagination-wrapper .page.active a,
                    #{$s360_productsArea.elementId} .s360-pagination-wrapper .page-current .current-index {
                        color:{$s360_productsArea.colors.paginationCurrentText};
                    }
                {/if}
            </style>
        {/if}
        {/block}
        <div class="container bg-color-default">
            <div class="row">
                <div class="col-xs-12">
                    {if isset($Suchergebnisse->Fehler)}
                        <p class="alert alert-danger">{$Suchergebnisse->Fehler}</p>
                    {/if}

                    {if isset($Suchergebnisse) && isset($Suchergebnisse->Artikel) && isset($Suchergebnisse->Artikel->elemente) && count($Suchergebnisse->Artikel->elemente) > 0}
                        {* Determine display *}
                        {if isset($smarty.cookies.jtl_shop_ed)}
                            {assign var='style' value=$smarty.cookies.jtl_shop_ed}
                        {elseif $s360_productsArea.displayStyle === 'list' }
                            {assign var='style' value='list'}
                        {elseif $s360_productsArea.displayStyle === 'gallery'}
                            {assign var='style' value='gallery'}
                            {* this monstrosity is the EVO check, including the wawi attribute "darstellung" *}
                        {elseif (!empty($AktuelleKategorie->categoryFunctionAttributes['darstellung']) && $AktuelleKategorie->categoryFunctionAttributes['darstellung'] == 1)
                        || (empty($AktuelleKategorie->categoryFunctionAttributes['darstellung'])
                        && ((!empty($oErweiterteDarstellung->nDarstellung)
                        && isset($Einstellungen.artikeluebersicht.artikeluebersicht_erw_darstellung)
                        && $Einstellungen.artikeluebersicht.artikeluebersicht_erw_darstellung === 'Y'
                        && $oErweiterteDarstellung->nDarstellung == 1)
                        || (empty($oErweiterteDarstellung->nDarstellung)
                        && isset($Einstellungen.artikeluebersicht.artikeluebersicht_erw_darstellung_stdansicht)
                        &&  $Einstellungen.artikeluebersicht.artikeluebersicht_erw_darstellung_stdansicht == 1)))}
                            {assign var='style' value='list'}
                        {else}
                            {* fallback to gallery *}
                            {assign var='style' value='gallery'}
                        {/if}

                        {* prepare grid *}
                        {if $style === "list"}
                            {assign var='grid' value='col-xs-12'}
                        {else}
                            {assign var='grid' value='col-xs-6 col-sm-4 col-lg-3'}
                            {if $s360_productsArea.hasSideBar}
                                {assign var='grid' value='col-xs-6 col-sm-4'}
                            {/if}
                        {/if}

                        {* just a placeholder to scroll to after filtering *}
                        <div id="products"></div>
                        {assign var="scrollTarget" value="#products"}

                        {if isset($s360_productsArea.headline) && $s360_productsArea.headline !== ''}
                            <div class="row">
                                <div class="col-xs-12">
                                    <div class="h2 s360-product-list-headline s360-element-headline text-center-xs {$s360_productsArea.headlineFont.classes}" {if $s360_productsArea.headlineFont.enabled}style="{$s360_productsArea.headlineFont.styles}"{/if}>{$s360_productsArea.headline}</div>
                                </div>
                            </div>
                        {/if}

                        {if $s360_productsArea.hasSideBar}
                            <div class="row visible-xs visible-sm visible-md s360-filter-top-bar">
                                {* display active filters on top for mobile *}
                                <div class="col-xs-12 text-center">
                                    <a href="#" class="btn cta cta-standard offcanvas-toggle s360-offcanvas-filter-trigger {s360_load_global_setting type="cta_variant"}" data-toggle="offcanvas" data-target="#s360-filter-offcanvas">
                                        <span class="fa fa-filter"></span>&nbsp;{lang key='filterBy' section='global'}
                                    </a>
                                </div>
                                <div class="col-xs-12">
                                    {include file='productlist/result_options_active_filters.tpl' showTitle=false scrollTarget=$scrollTarget propertyLookupTable=$s360_productsArea.propertyLookupTable}
                                </div>
                            </div>
                            <div class="row">
                                {* XS style applies to offcanvas size! *}
                                <div class="col-xs-12 col-lg-3">
                                    {* Products per Page, Sorting, Filtering and Display styles *}
                                    {if count($Suchergebnisse->Artikel->elemente) > 0}
                                        <form id="improve_search" action="navi.php{$scrollTarget}" method="get">
                                            {if isset($NaviFilter->Kategorie->kKategorie) && $NaviFilter->Kategorie->kKategorie > 0}
                                                <input type="hidden" name="k" value="{$NaviFilter->Kategorie->kKategorie}" />{/if}
                                            {if isset($NaviFilter->Hersteller->kHersteller) && $NaviFilter->Hersteller->kHersteller > 0}
                                                <input type="hidden" name="h" value="{$NaviFilter->Hersteller->kHersteller}" />{/if}
                                            {if isset($NaviFilter->Suchanfrage->kSuchanfrage) && $NaviFilter->Suchanfrage->kSuchanfrage > 0}
                                                <input type="hidden" name="l" value="{$NaviFilter->Suchanfrage->kSuchanfrage}" />{/if}
                                            {if isset($NaviFilter->MerkmalWert->kMerkmalWert) && $NaviFilter->MerkmalWert->kMerkmalWert > 0}
                                                <input type="hidden" name="m" value="{$NaviFilter->MerkmalWert->kMerkmalWert}" />{/if}
                                            {if isset($NaviFilter->Suchspecial->kKey) && $NaviFilter->Suchspecial->kKey > 0}
                                                <input type="hidden" name="q" value="{$NaviFilter->Suchspecial->kKey}" />{/if}
                                            {if isset($NaviFilter->Suche->cSuche) && $NaviFilter->Suche->cSuche|strlen > 0}
                                                <input type="hidden" name="suche" value="{$NaviFilter->Suche->cSuche|escape:'htmlall'}" />{/if}
                                            {if isset($NaviFilter->Tag->kTag) && $NaviFilter->Tag->kTag > 0}
                                                <input type="hidden" name="t" value="{$NaviFilter->Tag->kTag}" />{/if}
                                            {*Suchergebnisfilter*}
                                            {if isset($NaviFilter->KategorieFilter->kKategorie) && $NaviFilter->KategorieFilter->kKategorie > 0}
                                                <input type="hidden" name="kf" value="{$NaviFilter->KategorieFilter->kKategorie}" />{/if}
                                            {if isset($NaviFilter->HerstellerFilter->kHersteller) && $NaviFilter->HerstellerFilter->kHersteller > 0}
                                                <input type="hidden" name="hf" value="{$NaviFilter->HerstellerFilter->kHersteller}" />{/if}
                                            {if isset($NaviFilter->SuchspecialFilter->kKey) && $NaviFilter->SuchspecialFilter->kKey > 0}
                                                <input type="hidden" name="qf" value="{$NaviFilter->SuchspecialFilter->kKey}" />{/if}
                                            {if isset($NaviFilter->BewertungFilter->nSterne) && $NaviFilter->BewertungFilter->nSterne > 0}
                                                <input type="hidden" name="bf" value="{$NaviFilter->BewertungFilter->nSterne}" />{/if}
                                            {if isset($NaviFilter->PreisspannenFilter->cWert) && $NaviFilter->PreisspannenFilter->cWert|count > 0}
                                                <input type="hidden" name="pf" value="{$NaviFilter->PreisspannenFilter->cWert}" />{/if}
                                            {if isset($NaviFilter->MerkmalFilter) && is_array($NaviFilter->MerkmalFilter)}
                                                {foreach name=merkmalfilter from=$NaviFilter->MerkmalFilter item=mmfilter}
                                                    <input type="hidden" name="mf{$smarty.foreach.merkmalfilter.iteration}" value="{$mmfilter->kMerkmalWert}"/>
                                                {/foreach}
                                            {/if}
                                            {if isset($cJTLSearchStatedFilter_arr) && is_array($cJTLSearchStatedFilter_arr)}
                                                {foreach name=jtlsearchstatedfilter from=$cJTLSearchStatedFilter_arr key=key item=cJTLSearchStatedFilter}
                                                    <input name="fq{$key}" type="hidden" value="{$cJTLSearchStatedFilter}"/>
                                                {/foreach}
                                            {/if}
                                            {if isset($NaviFilter->TagFilter) && is_array($NaviFilter->TagFilter)}
                                                {foreach name=tagfilter from=$NaviFilter->TagFilter item=tag}
                                                    <input type="hidden" name="tf{$smarty.foreach.tagfilter.iteration}" value="{$tag->kTag}"/>
                                                {/foreach}
                                            {/if}
                                            {if isset($NaviFilter->SuchFilter) && is_array($NaviFilter->SuchFilter)}
                                                {foreach name=suchfilter from=$NaviFilter->SuchFilter item=oSuche}
                                                    <input type="hidden" name="sf{$smarty.foreach.suchfilter.iteration}" value="{$oSuche->kSuchanfrage}"/>
                                                {/foreach}
                                            {/if}
                                            {include file='productlist/result_options.tpl'
                                            filtersCollapsed=$s360_productsArea.filtersCollapsed
                                            scrollTarget=$scrollTarget}
                                        </form>
                                    {/if}
                                </div>
                                <div class="col-xs-12 col-lg-9">
                                    {block name="productlist-results"}
                                        <div class="row equal {$style}" id="product-list" data-list-style="{$style}" itemprop="mainEntity" itemscope itemtype="http://schema.org/ItemList">
                                            {* Bestseller-Gruppierung *}
                                            {if isset($oBestseller_arr) && $oBestseller_arr|@count > 0}
                                                {block name="productlist-bestseller"}
                                                    {foreach name=artikel from=$oBestseller_arr item=Artikel}
                                                        <div class="product-wrapper {$grid}" itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem">
                                                            <meta itemprop="position" content="{$smarty.foreach.artikel.iteration}">
                                                            {if $style === 'list'}
                                                                {include file='productlist/item_list.tpl'
                                                                quickviewEnabled=$s360_productsArea.quickviewDisplayList
                                                                basketAreaEnabled=$s360_productsArea.basketAreaDisplayList
                                                                variationDisplayEnabled=$s360_productsArea.variationDisplayList
                                                                maxVariationCount=$s360_productsArea.maxVariationsList
                                                                maxWerteCount=$s360_productsArea.maxVariationValuesList
                                                                tplscope='list'
                                                                isFullWidthItem=false}
                                                            {else}
                                                                {include file='productlist/item_box.tpl'
                                                                quickviewEnabled=$s360_productsArea.quickviewDisplayGallery
                                                                basketAreaEnabled=$s360_productsArea.basketAreaDisplayGallery
                                                                variationDisplayEnabled=$s360_productsArea.variationDisplayGallery
                                                                maxVariationCount=$s360_productsArea.maxVariationsGallery
                                                                maxWerteCount=$s360_productsArea.maxVariationValuesGallery
                                                                tplscope=$style}
                                                            {/if}
                                                        </div>
                                                    {/foreach}
                                                {/block}
                                            {/if}
                                            {foreach name=artikel from=$Suchergebnisse->Artikel->elemente item=Artikel}
                                                <div class="product-wrapper {$grid}" itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem">
                                                    <meta itemprop="position" content="{$smarty.foreach.artikel.iteration}">
                                                    {if $style === 'list'}
                                                        {include file='productlist/item_list.tpl'
                                                        quickviewEnabled=$s360_productsArea.quickviewDisplayList
                                                        basketAreaEnabled=$s360_productsArea.basketAreaDisplayList
                                                        variationDisplayEnabled=$s360_productsArea.variationDisplayList
                                                        maxVariationCount=$s360_productsArea.maxVariationsList
                                                        maxWerteCount=$s360_productsArea.maxVariationValuesList
                                                        tplscope='list'
                                                        isFullWidthItem=false}
                                                    {else}
                                                        {include file='productlist/item_box.tpl'
                                                        quickviewEnabled=$s360_productsArea.quickviewDisplayGallery
                                                        basketAreaEnabled=$s360_productsArea.basketAreaDisplayGallery
                                                        variationDisplayEnabled=$s360_productsArea.variationDisplayGallery
                                                        maxVariationCount=$s360_productsArea.maxVariationsGallery
                                                        maxWerteCount=$s360_productsArea.maxVariationValuesGallery
                                                        tplscope=$style}
                                                    {/if}
                                                </div>
                                            {/foreach}
                                        </div>
                                    {/block}
                                    {if isset($s360_productsArea.advertisementBoxes)}
                                        {foreach from=$s360_productsArea.advertisementBoxes item=s360_box}
                                            <div class="row">
                                                <div class="s360-box-wrapper col-xs-12" data-target-row="{$s360_box.row}" data-target-container="#product-list">
                                                    {if $s360_box.link !== ''}
                                                    <a href="{$s360_box.link}" {if $s360_box.externalLink}target="_blank" rel="nofollow"{/if}>
                                                        {/if}
                                                        <img src="{$s360_box.image.url}">
                                                        {if $s360_box.link !== ''}
                                                    </a>
                                                    {/if}
                                                </div>
                                            </div>
                                        {/foreach}
                                    {/if}
                                    {include file='solution360/category_products_area_pagination.tpl'}
                                </div>
                            </div>
                        {else}
                            <div class="row">
                                <div class="col-xs-12">
                                    {block name="productlist-results"}
                                        <div class="row equal {$style}" id="product-list" data-list-style="{$style}" itemprop="mainEntity" itemscope itemtype="http://schema.org/ItemList">
                                            {* Bestseller-Gruppierung *}
                                            {if isset($oBestseller_arr) && $oBestseller_arr|@count > 0}
                                                {block name="productlist-bestseller"}
                                                    {foreach name=artikel from=$oBestseller_arr item=Artikel}
                                                        <div class="product-wrapper {$grid}" itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem">
                                                            <meta itemprop="position" content="{$smarty.foreach.artikel.iteration}">
                                                            {if $style === 'list'}
                                                                {include file='productlist/item_list.tpl'
                                                                quickviewEnabled=$s360_productsArea.quickviewDisplayList
                                                                basketAreaEnabled=$s360_productsArea.basketAreaDisplayList
                                                                variationDisplayEnabled=$s360_productsArea.variationDisplayList
                                                                maxVariationCount=$s360_productsArea.maxVariationsList
                                                                maxWerteCount=$s360_productsArea.maxVariationValuesList
                                                                tplscope='list'
                                                                isFullWidthItem=false}
                                                            {else}
                                                                {include file='productlist/item_box.tpl'
                                                                quickviewEnabled=$s360_productsArea.quickviewDisplayGallery
                                                                basketAreaEnabled=$s360_productsArea.basketAreaDisplayGallery
                                                                variationDisplayEnabled=$s360_productsArea.variationDisplayGallery
                                                                maxVariationCount=$s360_productsArea.maxVariationsGallery
                                                                maxWerteCount=$s360_productsArea.maxVariationValuesGallery
                                                                tplscope=$style}
                                                            {/if}
                                                        </div>
                                                    {/foreach}
                                                {/block}
                                            {/if}
                                            {foreach name=artikel from=$Suchergebnisse->Artikel->elemente item=Artikel}
                                                <div class="product-wrapper {$grid}" itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem">
                                                    <meta itemprop="position" content="{$smarty.foreach.artikel.iteration}">
                                                    {if $style === 'list'}
                                                        {include file='productlist/item_list.tpl' tplscope='list'
                                                        quickviewEnabled=$s360_productsArea.quickviewDisplayList
                                                        basketAreaEnabled=$s360_productsArea.basketAreaDisplayList
                                                        variationDisplayEnabled=$s360_productsArea.variationDisplayList
                                                        maxVariationCount=$s360_productsArea.maxVariationsList
                                                        maxWerteCount=$s360_productsArea.maxVariationValuesList
                                                        isFullWidthItem=true}
                                                    {else}
                                                        {include file='productlist/item_box.tpl'
                                                        quickviewEnabled=$s360_productsArea.quickviewDisplayGallery
                                                        basketAreaEnabled=$s360_productsArea.basketAreaDisplayGallery
                                                        variationDisplayEnabled=$s360_productsArea.variationDisplayGallery
                                                        maxVariationCount=$s360_productsArea.maxVariationsGallery
                                                        maxWerteCount=$s360_productsArea.maxVariationValuesGallery
                                                        tplscope=$style}
                                                    {/if}
                                                </div>
                                            {/foreach}
                                        </div>
                                    {/block}
                                    {if isset($s360_productsArea.advertisementBoxes)}
                                        {foreach from=$s360_productsArea.advertisementBoxes item=s360_box}
                                            <div class="row">
                                                <div class="s360-box-wrapper col-xs-12" data-target-row="{$s360_box.row}" data-target-container="#product-list">
                                                    {if $s360_box.link !== ''}
                                                    <a href="{$s360_box.link}"{if $s360_box.externalLink} target="_blank" rel="nofollow"{/if}{if $s360_box.linkMetadata.title !== ''} title="{$s360_box.linkMetadata.title}"{/if}>
                                                        {/if}
                                                        <img src="{$s360_box.image.url}"{if isset($s360_box.image.alt) && $s360_box.image.alt !== ''} alt="{$s360_box.image.alt}"{/if}>
                                                        {if $s360_box.link !== ''}
                                                    </a>
                                                    {/if}
                                                </div>
                                            </div>
                                        {/foreach}
                                    {/if}
                                    {include file='solution360/category_products_area_pagination.tpl'}
                                </div>
                            </div>
                        {/if}
                    {/if}
                </div>
            </div>
        </div>
    </div>
{/strip}
