{* Pagination - this file is ONLY included and has no element on its own *}
{strip}
    {if $Suchergebnisse->Seitenzahlen->maxSeite > 1 && !empty($oNaviSeite_arr) && $oNaviSeite_arr|@count > 0}
        <div class="row">
            <div class="col-xs-12">
                <div class="s360-pagination-wrapper">
                    <div class="row">
                        <div class="col-xs-12 col-sm-4 text-center">
                            <div class="pagination pagination-ajax">
                                {if $Suchergebnisse->Seitenzahlen->AktuelleSeite <= 1}
                                    <span class="prev inactive"><i class="fa fa-{s360_load_global_setting type="navIconLeft"}"></i></span>
                                    &nbsp;
                                {else}
                                    <a href="{$oNaviSeite_arr.zurueck->cURL}#products" class="no-text-decoration"  title="{lang key="previous" section="productOverview"}"><span class="prev"><i class="fa fa-{s360_load_global_setting type="navIconLeft"}"></i></span></a>
                                    &nbsp;
                                {/if}
                                <span class="page-current">
                                    {lang key="page" section="productOverview"} <span class="current-index">{$Suchergebnisse->Seitenzahlen->AktuelleSeite}</span> {lang key="of" section="productOverview"} {$Suchergebnisse->Seitenzahlen->MaxSeiten}
                                </span>
                                {if $Suchergebnisse->Seitenzahlen->AktuelleSeite >= $Suchergebnisse->Seitenzahlen->maxSeite}
                                    &nbsp;
                                    <span class="next inactive"><i class="fa fa-{s360_load_global_setting type="navIconRight"}"></i></span>
                                {else}
                                    &nbsp;
                                    <a href="{$oNaviSeite_arr.vor->cURL}#products" class="no-text-decoration" title="{lang key="next" section="productOverview"}"><span class="next"><i class="fa fa-{s360_load_global_setting type="navIconRight"}"></i></span></a>
                                {/if}
                            </div>
                        </div>
                        <div class="hidden-xs col-sm-8 text-right">
                            {foreach name=seite from=$oNaviSeite_arr item=oNaviSeite}
                                {if !isset($oNaviSeite->nBTN)}
                                    <span class="page {if !isset($oNaviSeite->cURL) || $oNaviSeite->cURL|strlen === 0}active{/if}">
                                        <a{if !empty($oNaviSeite->cURL)} href="{$oNaviSeite->cURL}#products"{else} href="#" onclick="return false;"{/if}>
                                            {$oNaviSeite->nSeite}
                                        </a>
                                    </span>
                                {/if}
                            {/foreach}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    {/if}
    {if $Suchergebnisse->Artikel->elemente|@count > 0}
        {if $Einstellungen.navigationsfilter.allgemein_tagfilter_benutzen === 'Y'}
            {if $Suchergebnisse->Tags|@count > 0 && $Suchergebnisse->TagsJSON}
                <div class="row">
                    <div class="col-xs-12">
                        <div class="panel panel-default tags">
                            <div class="panel-heading">{lang key="productsTaggedAs" section="productOverview"}</div>
                            <div class="panel-body">
                                {foreach name=tagfilter from=$Suchergebnisse->Tags item=oTag}
                                    <a href="{$oTag->cURL}" class="tag{$oTag->Klasse}"><span class="badge">{$oTag->cName}</span></a>
                                {/foreach}
                            </div>
                        </div>
                    </div>
                </div>
            {/if}
        {/if}

        {if $Einstellungen.navigationsfilter.suchtrefferfilter_nutzen === 'Y'}
            {if $Suchergebnisse->SuchFilter|@count > 0 && $Suchergebnisse->SuchFilterJSON}
                {if empty($NaviFilter->SuchFilter->kSuchanfrage)}
                    <div class="row">
                        <div class="col-xs-12">
                            <div class="panel panel-default tags">
                                <div class="panel-heading">{lang key="productsSearchTerm" section="productOverview"}</div>
                                <div class="panel-body">
                                    {foreach name=suchfilter from=$Suchergebnisse->SuchFilter item=oSuchFilter}
                                        <a href="{$oSuchFilter->cURL}" class="tag{$oSuchFilter->Klasse}"><span class="badge">{$oSuchFilter->cSuche}</span></a>
                                    {/foreach}
                                </div>
                            </div>
                        </div>
                    </div>
                {/if}
            {/if}
        {/if}
    {/if}
{/strip}