{**
 * @copyright (c) JTL-Software-GmbH
 * @license http://jtl-url.de/jtlshoplicense
 *}

{if !isset($bAjaxRequest) || !$bAjaxRequest}
    {include file='layout/header.tpl'}
{else}
    {if isset($smarty.get.quickView) && $smarty.get.quickView == 1}
        {include file='layout/modal_header.tpl'}
    {/if}
{/if}
{if isset($bAjaxRequest) && $bAjaxRequest && isset($listStyle) && ($listStyle === 'list' || $listStyle === 'gallery')}
    {if $listStyle === 'list'}
        {assign var="tplscope" value="list"}
        {include file='productlist/item_list.tpl'}
    {/if}
    {if $listStyle === 'gallery'}
        {assign var="tplscope" value="gallery"}
        {assign var="class" value="thumbnail"}
        {include file='productlist/item_box.tpl'}
    {/if}
{else}
    <div id="result-wrapper" class="s360-variations-switch-wrapper" itemprop="mainEntity" itemscope itemtype="http://schema.org/Product">
        <meta itemprop="url" content="{$ShopURL}/{$Artikel->cSeo}">
        {if isset($Artikel->FunktionsAttribute[$FKT_ATTRIBUT_ARTIKELDETAILS_TPL]) && $currentTemplateDirFullPath|cat:'productdetails/'|cat:$Artikel->FunktionsAttribute[$FKT_ATTRIBUT_ARTIKELDETAILS_TPL]|file_exists}
            <div class="container bg-color-b1">
                {include file='productdetails/'|cat:$Artikel->FunktionsAttribute[$FKT_ATTRIBUT_ARTIKELDETAILS_TPL]}
            </div>
        {else}
            {s360_load_element id="articleDetailGrid" type="articleDetailGrid" area="6"}
        {/if}
        {* Article popup elements, out of normal flow *}
        {if !isset($smarty.get.quickView) || $smarty.get.quickView != 1}
            <div id="article_popups">
                {include file='productdetails/popups.tpl'}
            </div>
        {/if}
    </div>
{/if}
{if !isset($bAjaxRequest) || !$bAjaxRequest}
    {include file='layout/footer.tpl'}
{else}
    {if isset($smarty.get.quickView) && $smarty.get.quickView == 1}
        {include file='layout/modal_footer.tpl'}
    {/if}
{/if}