{strip}
    {assign var='show_filters' value=false}
    {if $Einstellungen.artikeluebersicht.suchfilter_anzeigen_ab == 0 || $Suchergebnisse->GesamtanzahlArtikel >= $Einstellungen.artikeluebersicht.suchfilter_anzeigen_ab || $NaviFilter->nAnzahlFilter > 0}
        {assign var='show_filters' value=true}
    {/if}
    {if !isset($filtersCollapsed) || !$filtersCollapsed}
        {assign var="collapseSnippetTarget" value=' in'}
        {assign var="collapseSnippetController" value=' aria-expanded="true"'}
    {else}
        {assign var="collapseSnippetTarget" value=''}
        {assign var="collapseSnippetController" value=' aria-expanded="false"'}
    {/if}
    {if !isset($style)}
        {assign var="style" value="gallery"}
    {/if}
    {if !isset($scrollTarget)}
        {assign var="scrollTarget" value=""}
    {/if}
    {* On Breakpoints SM and XS the following filter goes offcanvas and behaves similar to mobile navigation *}
    <div class="s360-filter-offcanvas offcanvas-position conditional-offcanvas" id="s360-filter-offcanvas">
        <div id="result-options">
            <div class="row">
                <div class="col-xs-12">
                    {block name="productlist-result-options-sort"}
                        <div class="s360-filter-container">
                            <div class="s360-filter-container-content">
                                <div class="h3 text-center"><a class="btn btn-offcanvas btn-default btn-close hidden-lg pull-right"><span class="fa fa-angle-double-left"></span></a>{$Suchergebnisse->GesamtanzahlArtikel} {lang key="products" section="global"}</div>
                                <select name="Sortierung" onchange="$('#improve_search').submit();" class="form-control form-small s360-filter-select">
                                    {if !isset($Suchergebnisse->Sortierung) || !$Suchergebnisse->Sortierung}
                                        <option value="0" disabled="disabled">{lang key="sorting" section="productOverview"}</option>
                                    {/if}
                                    <option value="100" {if isset($smarty.session.Usersortierung) && isset($Sort) && $smarty.session.Usersortierung==$Sort->value || !isset($Suchergebnisse->Sortierung) || !$Suchergebnisse->Sortierung}selected="selected"{/if}>{lang key="standard" section="global"}</option>
                                    {foreach name=sortierliste from=$Sortierliste item=Sort}
                                        <option value="{$Sort->value}" {if $smarty.session.Usersortierung==$Sort->value}selected="selected"{/if}>{$Sort->angezeigterName}</option>
                                    {/foreach}
                                </select>
                                <select name="af" onchange="$('#improve_search').submit();" class="form-control form-small s360-filter-select">
                                    {if !isset($smarty.session.ArtikelProSeite)}
                                        <option value="0" disabled="disabled" selected="selected">{lang key="productsPerPage" section="productOverview"}</option>
                                    {/if}
                                    <option value="12"{if isset($smarty.session.ArtikelProSeite) && $smarty.session.ArtikelProSeite == 12} selected="selected"{/if}>12 {lang key="productsPerPage" section="productOverview"}</option>
                                    <option value="24"{if isset($smarty.session.ArtikelProSeite) && $smarty.session.ArtikelProSeite == 24} selected="selected"{/if}>24 {lang key="productsPerPage" section="productOverview"}</option>
                                    <option value="48"{if isset($smarty.session.ArtikelProSeite) && $smarty.session.ArtikelProSeite == 48} selected="selected"{/if}>48 {lang key="productsPerPage" section="productOverview"}</option>
                                    <option value="96"{if isset($smarty.session.ArtikelProSeite) && $smarty.session.ArtikelProSeite == 96} selected="selected"{/if}>96 {lang key="productsPerPage" section="productOverview"}</option>
                                </select>
                                {if isset($oErweiterteDarstellung) && isset($Einstellungen.artikeluebersicht.artikeluebersicht_erw_darstellung) && $Einstellungen.artikeluebersicht.artikeluebersicht_erw_darstellung === 'Y'}
                                    <div class="row equal vcenter">
                                        <div class="col-xs-6">
                                            <a href="{$oErweiterteDarstellung->cURL_arr[2]}" id="ed_gallery" class="no-text-decoration ed gallery{if $style === 'gallery'} active{/if}" role="button" title="{lang key="gallery" section="productOverview"}"><span class="fa fa-lg fa-th"></span>&nbsp;{lang key="gallery" section="productOverview"}</a>
                                        </div>
                                        <div class="col-xs-6">
                                            <a href="{$oErweiterteDarstellung->cURL_arr[1]}" id="ed_list" class="no-text-decoration ed list{if $style === 'list'} active{/if}" role="button" title="{lang key="list" section="productOverview"}"><span class="fa fa-lg fa-th-list"></span>&nbsp;{lang key="list" section="productOverview"}</a>
                                        </div>
                                    </div>
                                {/if}
                            </div>
                        </div>
                    {/block}
                </div>

                {if $s360_productsArea.showLeftFilters !== 'before-cattree' && $s360_productsArea.showCategoryTree}
                    <div class="navbar-categories col-xs-12">
                        <div class="s360-filter-container">
                            <ul class="nav s360-filter-category-tree">
                                {if isset($NaviFilter) && isset($Navifilter->Kategorie) && isset($NaviFilter->Kategorie->kKategorie)}
                                    {include file='snippets/categories_recursive.tpl'
                                    i=0 categoryId=$NaviFilter->Kategorie->kKategorie
                                    limit=3
                                    prefix="filter"}
                                {else}
                                    {include file='snippets/categories_recursive.tpl'
                                    i=0 categoryId=0
                                    limit=3
                                    prefix="filter"}
                                {/if}
                            </ul>
                        </div>
                    </div>
                {/if}

                {if $show_filters && ($s360_productsArea.showLeftFilters !== 'deactivated')}
                    <div class="col-xs-12">
                        {include file='productlist/result_options_active_filters.tpl'
                        showTitle=true
                        scrollTarget=$scrollTarget
                        propertyLookupTable=$s360_productsArea.propertyLookupTable}
                    </div>
                    <div class="s360-filter-wrapper">

                        {* JTL Search filters *}
                        {if isset($oExtendedJTLSearchResponse)}
                            {if !isset($scrollTarget)}
                                {assign var="scrollTarget" value=""}
                            {/if}
                            {foreach name=filtergroups from=$oExtendedJTLSearchResponse->oSearch->oFilterGroup_arr item=oFilterGroup}
                                <div class="col-xs-12">
                                    <div class="s360-filter-container filter-type-jtl-search">
                                        <div class="s360-filter-collapse s360-filter-container-header" data-toggle="collapse" {$collapseSnippetController} data-target="#s360-filter-jtl-search-{$smarty.foreach.filtergroups.index}">
                                            {$oFilterGroup->cMapping}
                                            <span class="pull-right s360-collapse-open"><i class="fa fa-plus"></i></span>
                                            <span class="pull-right s360-collapse-close"><i class="fa fa-minus"></i></span>
                                        </div>
                                        <div class="collapse {$collapseSnippetTarget}" id="s360-filter-jtl-search-{$smarty.foreach.filtergroups.index}">
                                            <div class="s360-filter-container-content">
                                                {if $oFilterGroup->nType == 2} {* Slider *}
                                                    {assign var="oFilterItem" value=$oFilterGroup->oFilterItem_arr[0]}
                                                    <div class="s360-filter-snippet">
                                                        <div>
                                                            <input type="text" name="" class="price-slider-input-jtl-search" value="" data-baseurl="{$oFilterItem->cURL}&fq{$nStatedFilterCount}={$oFilterGroup->cName}:{$oFilterItem->fFrom}_{$oFilterItem->fTo}-" data-anchor="{$scrollTarget}" data-type="double" data-min="{$oFilterItem->fSolrFrom}" data-max="{$oFilterItem->fSolrTo}"
                                                                   data-from="{$oFilterItem->fFrom}" data-to="{$oFilterItem->fTo}" data-prettify-separator="{$smarty.session.Waehrung->cTrennzeichenTausend}"
                                                                    {if $smarty.session.Waehrung->cVorBetrag === "N"} data-postfix=" {$smarty.session.Waehrung->cNameHTML}"{else} data-prefix="{$smarty.session.Waehrung->cNameHTML}"{/if}>
                                                        </div>
                                                        <div class="text-center s360-price-slider-control">
                                                            <span class="pull-left s360-price-slider-display-min"></span>
                                                            &mdash;
                                                            <span class="pull-right s360-price-slider-display-max"></span>
                                                        </div>
                                                    </div>
                                                {else}
                                                    {foreach name=filteritems from=$oFilterGroup->oFilterItem_arr item=oFilterItem}
                                                        {* Checkbox or Tinybox or Color*}
                                                        <div class="s360-filter-snippet">
                                                            <a rel="nofollow" class="no-text-decoration" href="{$oFilterItem->cURL}{$scrollTarget}">
                                                                <span class="badge pull-right">{$oFilterItem->nCount}</span>
                                                                <span class="value">
                                                                    <i class="fa {if $oFilterItem->bSet}fa-check-square-o{else}fa-square-o{/if}"></i>&nbsp;&nbsp;
                                                                    <span class="word-break">{$oFilterItem->cValue|escape:'html'}</span>
                                                                </span>
                                                            </a>
                                                        </div>
                                                    {/foreach}
                                                {/if}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            {/foreach}
                        {/if}

                        {if $Einstellungen.navigationsfilter.allgemein_herstellerfilter_benutzen === 'Y' &&
                        !isset($oExtendedJTLSearchResponse) &&
                        (!empty($Suchergebnisse->Herstellerauswahl) && $Suchergebnisse->Herstellerauswahl|@count > 1)}
                            {block name="productlist-result-options-filter-manufacturer"}
                                <div class="col-xs-12">
                                    <div class="s360-filter-container filter-type-manufacturer">
                                        <div class="s360-filter-collapse s360-filter-container-header" data-toggle="collapse" {$collapseSnippetController} data-target="#s360-filter-manufacturers">
                                            {lang key='manufacturers' section='global'}
                                            <span class="pull-right s360-collapse-open"><i class="fa fa-plus"></i></span>
                                            <span class="pull-right s360-collapse-close"><i class="fa fa-minus"></i></span>
                                        </div>
                                        <div class="collapse {$collapseSnippetTarget}" id="s360-filter-manufacturers">
                                            <div class="s360-filter-container-content">
                                                {include file='snippets/filter/manufacturer.tpl'}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            {/block}
                        {/if}

                        {if $Einstellungen.navigationsfilter.allgemein_kategoriefilter_benutzen === 'Y' && (!empty($Suchergebnisse->Kategorieauswahl) && $Suchergebnisse->Kategorieauswahl|@count > 1)}
                            {block name="productlist-result-options-filter-category"}
                                <div class="col-xs-12">
                                    <div class="s360-filter-container filter-type-category">
                                        <div class="s360-filter-collapse s360-filter-container-header" data-toggle="collapse" {$collapseSnippetController} data-target="#s360-filter-categories">
                                            {lang key='categories' section='global'}
                                            <span class="pull-right s360-collapse-open"><i class="fa fa-plus"></i></span>
                                            <span class="pull-right s360-collapse-close"><i class="fa fa-minus"></i></span>
                                        </div>
                                        <div class="collapse {$collapseSnippetTarget}" id="s360-filter-categories">
                                            <div class="s360-filter-container-content">
                                                {include file='snippets/filter/category.tpl'}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            {/block}
                        {/if}

                        {if $Einstellungen.navigationsfilter.merkmalfilter_verwenden !== 'N' && $Suchergebnisse->MerkmalFilter|@count > 0 && $Suchergebnisse->Artikel->elemente|@count > 0}
                            {block name="productlist-result-options-filter-attributes"}
                                {foreach name=merkmalfilter from=$Suchergebnisse->MerkmalFilter item=Merkmal}
                                    <div class="col-xs-12">
                                        <div class="s360-filter-container filter-type-characteristic">
                                            <div class="s360-filter-collapse s360-filter-container-header" data-toggle="collapse" {$collapseSnippetController} data-target="#s360-filter-characteristics-{$Merkmal->kMerkmal}">
                                                {$Merkmal->cName}
                                                <span class="pull-right s360-collapse-open"><i class="fa fa-plus"></i></span>
                                                <span class="pull-right s360-collapse-close"><i class="fa fa-minus"></i></span>
                                            </div>
                                            <div class="collapse {$collapseSnippetTarget}" id="s360-filter-characteristics-{$Merkmal->kMerkmal}">
                                                <div class="s360-filter-container-content">
                                                    {include file='snippets/filter/characteristic.tpl' role="menu"}
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                {/foreach}
                            {/block}
                        {/if}{* /merkmalfilter *}

                        {if !empty($Suchergebnisse->Suchspecialauswahl) &&
                        (isset($Suchergebnisse->Suchspecialauswahl[1]->nAnzahl) && $Suchergebnisse->Suchspecialauswahl[1]->nAnzahl > 0
                        || isset($Suchergebnisse->Suchspecialauswahl[2]->nAnzahl) && $Suchergebnisse->Suchspecialauswahl[2]->nAnzahl > 0
                        || isset($Suchergebnisse->Suchspecialauswahl[3]->nAnzahl) && $Suchergebnisse->Suchspecialauswahl[3]->nAnzahl > 0
                        || isset($Suchergebnisse->Suchspecialauswahl[4]->nAnzahl) && $Suchergebnisse->Suchspecialauswahl[4]->nAnzahl > 0
                        || isset($Suchergebnisse->Suchspecialauswahl[5]->nAnzahl) && $Suchergebnisse->Suchspecialauswahl[5]->nAnzahl > 0
                        || isset($Suchergebnisse->Suchspecialauswahl[6]->nAnzahl) && $Suchergebnisse->Suchspecialauswahl[6]->nAnzahl > 0)}
                            <div class="col-xs-12">
                                <div class="s360-filter-container filter-type-special">
                                    <div class="s360-filter-collapse s360-filter-container-header" data-toggle="collapse" {$collapseSnippetController} data-target="#s360-filter-special">
                                        {lang key="specificProducts" section="global"}
                                        <span class="pull-right s360-collapse-open"><i class="fa fa-plus"></i></span>
                                        <span class="pull-right s360-collapse-close"><i class="fa fa-minus"></i></span>
                                    </div>
                                    <div class="collapse {$collapseSnippetTarget}" id="s360-filter-special">
                                        <div class="s360-filter-container-content">
                                            {include file='snippets/filter/special.tpl'}
                                        </div>
                                    </div>
                                </div>
                            </div>
                        {/if}{* /suchspecials *}

                        {if $Einstellungen.navigationsfilter.preisspannenfilter_benutzen !== 'N' && !empty($Suchergebnisse->Preisspanne)}
                            {block name="productlist-result-options-filter-price"}
                                <div class="col-xs-12">
                                    <div class="s360-filter-container filter-type-pricerange">
                                        <div class="s360-filter-collapse s360-filter-container-header" data-toggle="collapse" {$collapseSnippetController} data-target="#s360-filter-pricerange">
                                            {lang key="rangeOfPrices" section="global"}
                                            <span class="pull-right s360-collapse-open"><i class="fa fa-plus"></i></span>
                                            <span class="pull-right s360-collapse-close"><i class="fa fa-minus"></i></span>
                                        </div>
                                        <div class="collapse {$collapseSnippetTarget}" id="s360-filter-pricerange">
                                            <div class="s360-filter-container-content">
                                                {include file='snippets/filter/pricerange.tpl'}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            {/block}
                        {elseif isset($NaviFilter->PreisspannenFilter) && $NaviFilter->PreisspannenFilter->fBis > 0}
                            <input type="hidden" name="pf" value="{$NaviFilter->PreisspannenFilter->cWert}">
                        {/if}{* /preisspannenfilter *}

                        {if $Einstellungen.navigationsfilter.bewertungsfilter_benutzen !== 'N' && (empty($NaviFilter->BewertungFilter) && !empty($Suchergebnisse->Bewertung))}
                            {block name="productlist-result-options-filter-rating"}
                                <div class="col-xs-12">
                                    <div class="s360-filter-container filter-type-review">
                                        <div class="s360-filter-collapse s360-filter-container-header" data-toggle="collapse" {$collapseSnippetController} data-target="#s360-filter-review">
                                            {lang key="Votes" section="global"}
                                            <span class="pull-right s360-collapse-open"><i class="fa fa-plus"></i></span>
                                            <span class="pull-right s360-collapse-close"><i class="fa fa-minus"></i></span>
                                        </div>
                                        <div class="collapse {$collapseSnippetTarget}" id="s360-filter-review">
                                            <div class="s360-filter-container-content">
                                                {include file='snippets/filter/review.tpl'}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            {/block}
                        {elseif isset($NaviFilter->BewertungFilter) && $NaviFilter->BewertungFilter->nSterne > 0}
                            <input type="hidden" name="bf" value="{$NaviFilter->BewertungFilter->nSterne}">
                        {/if}
                    </div>
                {/if}

                {if $s360_productsArea.showLeftFilters === 'before-cattree' && $s360_productsArea.showCategoryTree}
                    <div class="navbar-categories col-xs-12">
                        <div class="s360-filter-container">
                            <ul class="nav s360-filter-category-tree">
                                {if isset($NaviFilter) && isset($Navifilter->Kategorie) && isset($NaviFilter->Kategorie->kKategorie)}
                                    {include file='snippets/categories_recursive.tpl'
                                    i=0 categoryId=$NaviFilter->Kategorie->kKategorie
                                    limit=3
                                    prefix="filter"}
                                {else}
                                    {include file='snippets/categories_recursive.tpl'
                                    i=0 categoryId=0
                                    limit=3
                                    prefix="filter"}
                                {/if}
                            </ul>
                        </div>
                    </div>
                {/if}
            </div>{* /row *}
        </div>
    </div>
{/strip}
