{include file='layout/header.tpl'}
<div class="container pad-bot20">
    {if $step === 'formular'}
        {s360_get_shop_version assignTo='shopVersion'}
        {if isset($checkout) && $checkout == 1}
            {if $shopVersion > 405}
                {include file='checkout/inc_steps.tpl'}
            {else}
                {include file='checkout/compatibility/inc_steps.tpl'}
            {/if}
            {if !empty($smarty.session.Kunde->kKunde)}
                {lang key="changeBillingAddress" section="account data" assign="panel_heading"}
            {else}
                {lang key="createNewAccount" section="account data" assign="panel_heading"}
            {/if}
        {/if}
        {if !empty($hinweis)}
            <div class="alert alert-info">{$hinweis}</div>
        {/if}
        {if !empty($fehlendeAngaben) && !$hinweis}
            <div class="alert alert-danger">{lang key="yourDataDesc" section="account data"}</div>
        {/if}
        {if isset($fehlendeAngaben.email_vorhanden) && $fehlendeAngaben.email_vorhanden == 1}
            <div class="alert alert-danger">{lang key="emailAlreadyExists" section="account data"}</div>
        {/if}
        {if isset($fehlendeAngaben.formular_zeit) && $fehlendeAngaben.formular_zeit == 1}
            <div class="alert alert-danger">{lang key="formToFast" section="account data"}</div>
        {/if}
        <div id="new_customer" class="row">
            <div class="col-xs-12">
                {capture assign="lpa_mode"}{s360_get_lpa_mode}{/capture}
                {if $lpa_mode === ''}
                    {capture assign="lpa_mode"}{s360_get_amazonpay_mode}{/capture}
                {/if}
                {if $lpa_mode === 'l' || $lpa_mode === 'lp'}
                    <div class="amapay-login-cta">
                        <div id="amapay-login"></div>
                        <div class="visible-xs-block strike no-horizontal-padding text-smaller top10 bottom10"><span>{s360_lang key='et360_lpa_or'}</span></div>
                        <div class="hidden-xs no-horizontal-padding text-smaller top10 bottom10"><span>{s360_lang key='et360_lpa_or'}</span></div>
                    </div>
                {/if}
                {if !isset($checkout) && empty($smarty.session.Kunde->kKunde)}
                    <h1>{lang key="createNewAccount" section="account data"}</h1>
                {/if}
                {if $shopVersion > 405 || !isset($checkout) || $checkout != 1}
                    <div class="panel-wrap" id="panel-register-form">
                        {include file='register/form.tpl'}
                    </div>
                {else}
                    <div class="panel-wrap" id="panel-register-form">
                        {include file='register/compatibility/form.tpl'}
                    </div>
                {/if}
            </div>
        </div>
    {elseif $step === 'formular eingegangen'}
        <div class="row">
            <div class="col-xs-12">
                <h1>{lang key="accountCreated" section="global"}</h1>
                <p>{lang key="activateAccountDesc" section="global"}</p>
            </div>
        </div>
    {/if}
</div>
{include file='layout/footer.tpl'}