{strip}
    {*
        Category banner - notice that in this element there might also be a header for a search result or filter result instead which might result in a different display!
        The logic handled here is basically the same that is contained in the upper part of evos productlist/header.tpl.
    *}
    {* if this is not set, the nav info is separately given out in productlist/header.tpl *}
    {if isset($oNavigationsinfo->cName) && $oNavigationsinfo->cName !== ''}
        {* capture pagination info into a variable *}
        {capture nocache assign="paginationInformation"}
            {if $Suchergebnisse->Seitenzahlen->maxSeite > 1 && !empty($oNaviSeite_arr) && $oNaviSeite_arr|@count > 0 && $Suchergebnisse->Seitenzahlen->AktuelleSeite > 1}
                &nbsp;-&nbsp;{lang key="page" section="productOverview"} {$Suchergebnisse->Seitenzahlen->AktuelleSeite} {lang key="of" section="productOverview"} {$Suchergebnisse->Seitenzahlen->MaxSeiten}
            {/if}
        {/capture}
        <div class="s360-wrapper s360-catbanner-wrapper{if $s360_categoryBanner.elementClasses != ''} {$s360_categoryBanner.elementClasses}{/if}" id="{$s360_categoryBanner.elementId}">
            {block name="s360-category-banner-styles"}
            {if $s360_categoryBanner.colors.enabled}
                <style type="text/css" scoped>
                    {if $s360_categoryBanner.colors.text != ''}
                        #{$s360_categoryBanner.elementId} .s360-catbanner {
                            color:{$s360_categoryBanner.colors.text};
                        }
                    {/if}
                    {if $s360_categoryBanner.colors.background != ''}
                        #{$s360_categoryBanner.elementId} .s360-catbanner {
                            background-color:{$s360_categoryBanner.colors.background};
                        }
                    {/if}
                </style>
            {/if}
            {/block}
            <div class="container bg-color-default">
                <div class="row">
                    <div class="col-xs-12">
                        <div class="s360-catbanner {$s360_categoryBanner.displayType}">
                            {block name="productlist-header"}
                                {if $s360_categoryBanner.displayType === 'v3' && isset($s360_categoryBanner.bannerImage.url) && $s360_categoryBanner.bannerImage.url !== ''}
                                    <div class="s360-catbanner-image">
                                        <img src="{$s360_categoryBanner.bannerImage.url}" alt="{if isset($s360_categoryBanner.bannerImage.alt)}{$s360_categoryBanner.bannerImage.alt|strip_tags|truncate:40|escape:"html"}{/if}"/>
                                    </div>
                                {/if}
                                {if $s360_categoryBanner.displayType === 'v2'}
                                    {if isset($s360_categoryBanner.bannerImage.url) && $s360_categoryBanner.bannerImage.url !== ''}
                                        <div class="s360-catbanner-image">
                                            <img src="{$s360_categoryBanner.bannerImage.url}" alt="{if isset($s360_categoryBanner.bannerImage.alt)}{$s360_categoryBanner.bannerImage.alt|strip_tags|truncate:40|escape:"html"}{/if}"/>
                                            {if isset($oNavigationsinfo->cName) && $oNavigationsinfo->cName !== ''}
                                                <div class="s360-catbanner-backdrop">
                                                    <h1 class="s360-catbanner-title-overlay">{$oNavigationsinfo->cName}{$paginationInformation}</h1>
                                                </div>
                                            {/if}
                                        </div>
                                    {elseif isset($oNavigationsinfo->cName) && $oNavigationsinfo->cName !== ''}
                                        <div class="s360-catbanner-text col-xs-12">
                                            <h1 class="h1">{$oNavigationsinfo->cName}{$paginationInformation}</h1>
                                        </div>
                                    {/if}
                                {/if}
                                {if $s360_categoryBanner.displayType === 'v1' || $s360_categoryBanner.displayType === 'v3' || $s360_categoryBanner.displayType === 'default'}
                                    <div class="s360-catbanner-text {if ($s360_categoryBanner.displayType === 'v1' || $s360_categoryBanner.displayType === 'default') && isset($s360_categoryBanner.bannerImage.url) && $s360_categoryBanner.bannerImage.url !== ''}with-image{else}no-image{/if}">
                                        {if isset($oNavigationsinfo->cName) && $oNavigationsinfo->cName !== ''}
                                            <h1 class="s360-catbanner-title">{$oNavigationsinfo->cName}{$paginationInformation}</h1>
                                        {/if}
                                        {if $Einstellungen.navigationsfilter.kategorie_beschreibung_anzeigen === 'Y' && isset($oNavigationsinfo->oKategorie) && $oNavigationsinfo->oKategorie->cBeschreibung|strlen > 0}
                                            <div class="s360-catbanner-desc">{$oNavigationsinfo->oKategorie->cBeschreibung}</div>
                                        {/if}
                                        {if $Einstellungen.navigationsfilter.hersteller_beschreibung_anzeigen === 'Y' && isset($oNavigationsinfo->oHersteller) && $oNavigationsinfo->oHersteller->cBeschreibung|strlen > 0}
                                            <div class="s360-catbanner-desc">{$oNavigationsinfo->oHersteller->cBeschreibung}</div>
                                        {/if}
                                        {if $Einstellungen.navigationsfilter.merkmalwert_beschreibung_anzeigen === 'Y' && isset($oNavigationsinfo->oMerkmalWert) && $oNavigationsinfo->oMerkmalWert->cBeschreibung|strlen > 0}
                                            <div class="s360-catbanner-desc">{$oNavigationsinfo->oMerkmalWert->cBeschreibung}</div>
                                        {/if}
                                    </div>
                                {/if}
                                {if ($s360_categoryBanner.displayType === 'v1' || $s360_categoryBanner.displayType === 'default') && isset($s360_categoryBanner.bannerImage.url) && $s360_categoryBanner.bannerImage.url !== ''}
                                    <div class="s360-catbanner-image hidden-xs">
                                        <img src="{$s360_categoryBanner.bannerImage.url}" alt="{if isset($s360_categoryBanner.bannerImage.alt)}{$s360_categoryBanner.bannerImage.alt|strip_tags|truncate:40|escape:"html"}{/if}"/>
                                    </div>
                                {/if}
                                {if $s360_categoryBanner.displayType === 'v2'}
                                    {if $Einstellungen.navigationsfilter.kategorie_beschreibung_anzeigen === 'Y' && isset($oNavigationsinfo->oKategorie) && $oNavigationsinfo->oKategorie->cBeschreibung|strlen > 0}
                                        <div class="s360-catbanner-text col-xs-12">
                                            <div class="s360-catbanner-desc">{$oNavigationsinfo->oKategorie->cBeschreibung}</div>
                                        </div>
                                    {/if}
                                    {if $Einstellungen.navigationsfilter.hersteller_beschreibung_anzeigen === 'Y' && isset($oNavigationsinfo->oHersteller) && $oNavigationsinfo->oHersteller->cBeschreibung|strlen > 0}
                                        <div class="s360-catbanner-text col-xs-12">
                                            <div class="s360-catbanner-desc">{$oNavigationsinfo->oHersteller->cBeschreibung}</div>
                                        </div>
                                    {/if}
                                    {if $Einstellungen.navigationsfilter.merkmalwert_beschreibung_anzeigen === 'Y' && isset($oNavigationsinfo->oMerkmalWert) && $oNavigationsinfo->oMerkmalWert->cBeschreibung|strlen > 0}
                                        <div class="s360-catbanner-text col-xs-12">
                                            <div class="s360-catbanner-desc">{$oNavigationsinfo->oMerkmalWert->cBeschreibung}</div>
                                        </div>
                                    {/if}
                                {/if}
                            {/block}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    {/if}
{/strip}