{strip}
    <div class="s360-footer-boxes-wrapper s360-wrapper{if $s360_footerBoxes.elementClasses != ''} {$s360_footerBoxes.elementClasses}{/if}" id="{$s360_footerBoxes.elementId}">
        {block name="s360-footer-boxes-styles"}
            {if $s360_footerBoxes.colors.enabled}
                <style type="text/css" scoped>
                    {if $s360_footerBoxes.colors.background != ''}
                        #{$s360_footerBoxes.elementId} {
                            background-color:{$s360_footerBoxes.colors.background};
                        }
                    {/if}
                    {if $s360_footerBoxes.colors.text != ''}
                        #{$s360_footerBoxes.elementId},
                        #{$s360_footerBoxes.elementId} .s360-footer-boxes-links > a {
                            color:{$s360_footerBoxes.colors.text};
                        }
                    {/if}
                </style>
            {/if}
        {/block}
        <div class="container">
            <div class="row">
                {foreach from=$s360_footerBoxes.menu_boxes item=menu_box name="menu_box"}
                    {if !$menu_box.useCustomHtml}
                        <div class="hidden-xs col-sm-{$s360_footerBoxes.boxesColWidth} s360-footer-box">
                            {if $menu_box.text !== ''}
                                <div class="h3 {$menu_box.textFont.classes}" {if $menu_box.textFont.enabled}style="{$menu_box.textFont.styles}"{/if}>{$menu_box.text}</div>
                            {/if}
                            {if count($menu_box.link_group.links) > 0}
                                <div class="s360-footer-boxes-links{if $menu_box.text === ''} no-title{/if}">
                                    {foreach from=$menu_box.link_group.links item=link}
                                        <a href="{$link.url}" class="s360-footer-boxes-link" title="{$link.name|strip_tags:false}">{$link.name}</a>
                                    {/foreach}
                                </div>
                            {/if}
                        </div>
                        <div class="visible-xs col-xs-12 s360-footer-box-xs">
                            {if $menu_box.text !== ''}
                                <div class="h3 collapser {$menu_box.textFont.classes}" {if $menu_box.textFont.enabled}style="{$menu_box.textFont.styles}"{/if} data-toggle="collapse" data-target="#collapse-footer-menu-{$s360_footerBoxes.elementId}-{$smarty.foreach.menu_box.iteration}" aria-expanded="{if $menu_box.mobileInitialOpen}true{else}false{/if}" aria-controls="collapse-footer-menu-{$smarty.foreach.menu_box.iteration}">
                                    {$menu_box.text}
                                    <span class="pull-right s360-collapse-open"><i class="fa fa-plus"></i></span>
                                    <span class="pull-right s360-collapse-close"><i class="fa fa-minus"></i></span>
                                </div>
                            {/if}
                            {if $menu_box.text !== ''}
                            <div class="collapse{if $menu_box.mobileInitialOpen} in{/if}" id="collapse-footer-menu-{$s360_footerBoxes.elementId}-{$smarty.foreach.menu_box.iteration}">
                                {/if}
                                {if count($menu_box.link_group.links) > 0}
                                    <div class="s360-footer-boxes-links{if $menu_box.text === ''} no-title{/if}">
                                        {foreach from=$menu_box.link_group.links item=link}
                                            <a href="{$link.url}" class="s360-footer-boxes-link" title="{$link.name|strip_tags:false}">{$link.name}</a>
                                        {/foreach}
                                    </div>
                                {/if}
                                {if $menu_box.text !== ''}
                            </div>
                            {/if}
                        </div>
                    {else}
                        <div class="col-xs-12 col-sm-{$s360_footerBoxes.boxesColWidth} s360-footer-box">
                            {$menu_box.customHtml}
                        </div>
                    {/if}
                {/foreach}
                {if $s360_footerBoxes.showShippingPaymentRow}
                {* display shipping and payment as separate new row *}
            </div>
        </div>
        <div class="container s360-payment-shipping-row">
            <div class="row">
                {/if}
                {if $s360_footerBoxes.showShippingPaymentBox}
                    {block name="s360-footer-payment-shipping-box"}
                        <div class="hidden-xs {if $s360_footerBoxes.showShippingPaymentRow}col-sm-12{else}col-sm-{$s360_footerBoxes.boxesColWidth}{/if}">
                            <div class="h3 {$s360_footerBoxes.paymentShippingBox.headlineFont.classes}" {if $s360_footerBoxes.paymentShippingBox.headlineFont.enabled}style="{$s360_footerBoxes.paymentShippingBox.headlineFont.styles}"{/if}>
                                {$s360_footerBoxes.paymentShippingBox.headline}
                            </div>
                            <div class="row s360-footer-payment-shipping">
                                {foreach from=$s360_footerBoxes.paymentShippingBox.images item=image}
                                    {if $image.url !== ''}
                                        <div class="{if $s360_footerBoxes.showShippingPaymentRow}col-xs-1{else}col-xs-4{/if} s360-footer-payment-shipping-image">
                                            <img src="{$image.url}" {if isset($image.alt) && $image.alt != ''} title="{$image.alt}"{/if} alt="{if isset($image.alt) && $image.alt != ''}{$image.alt}{elseif isset($s360_footerBoxes.paymentShippingBox.headline) && $s360_footerBoxes.paymentShippingBox.headline != ''}{$s360_footerBoxes.paymentShippingBox.headline}{else}{$image.url}{/if}"/>
                                        </div>
                                    {elseif $image.alt !== ''}
                                        <div class="{if $s360_footerBoxes.showShippingPaymentRow}col-xs-1{else}col-xs-4{/if} s360-footer-payment-shipping-text">
                                            {$image.alt}
                                        </div>
                                    {/if}
                                {/foreach}
                                <div class="col-xs-12 other-payment-shipping"></div>
                            </div>
                        </div>
                        <div class="visible-xs col-xs-12">
                            <div class="h3 collapser {$s360_footerBoxes.paymentShippingBox.headlineFont.classes}" {if $s360_footerBoxes.paymentShippingBox.headlineFont.enabled}style="{$s360_footerBoxes.paymentShippingBox.headlineFont.styles}"{/if} data-toggle="collapse" data-target="#collapse-footer-menu-{$s360_footerBoxes.elementId}-payment-shipping-box" aria-expanded="false" aria-controls="collapse-footer-menu-payment-shipping-box">
                                {$s360_footerBoxes.paymentShippingBox.headline}
                                <span class="pull-right s360-collapse-open"><i class="fa fa-plus"></i></span>
                                <span class="pull-right s360-collapse-close"><i class="fa fa-minus"></i></span>
                            </div>
                            <div class="col-xs-12 collapse" id="collapse-footer-menu-{$s360_footerBoxes.elementId}-payment-shipping-box">
                                <div class="row s360-footer-payment-shipping">
                                    {foreach from=$s360_footerBoxes.paymentShippingBox.images item=image}
                                        {if $image.url !== ''}
                                            <div class="col-xs-6 s360-footer-payment-shipping-image">
                                                <img src="{$image.url}" {if isset($image.alt) && $image.alt != ''} title="{$image.alt}"{/if} alt="{if isset($image.alt) && $image.alt != ''}{$image.alt}{elseif isset($s360_footerBoxes.paymentShippingBox.headline) && $s360_footerBoxes.paymentShippingBox.headline != ''}{$s360_footerBoxes.paymentShippingBox.headline}{else}{$image.url}{/if}"/>
                                            </div>
                                        {elseif $image.alt !== ''}
                                            <div class="col-xs-6 s360-footer-payment-shipping-text">
                                                {$image.alt}
                                            </div>
                                        {/if}
                                    {/foreach}
                                    <div class="col-xs-12 other-payment-shipping"></div>
                                </div>
                            </div>
                        </div>
                    {/block}
                {/if}
            </div>
        </div>
    </div>
{/strip}